<?php
// FileDataFetcher class
// (c) schmidi 2013 
// www.doh-nuts.at 

require_once('classes.inc.php');

class FileDataFetcher extends DataFetcher {
 	private $filename;

		
	// constructor
	function __construct($filename, $timeout=60) {
		$this->filename = $filename;
		$this->timeout = $timeout;
	}


	function fetchData() {
		$dat = @file_get_contents($this->filename, 0, NULL, -1, 164);
		if ($dat === false)
			return $this->returnBackup();
			
 		$dat = unpack('Lt/a30l/a75n/a16i/cp/cpm/cs/csm/Lll/Llu', $dat);
    	
    // timed out?
   	if ($dat['t'] + $this->timeout < time()) {
   		return $this->returnBackup();
   	}
    
    $this->backup = new ServerObj($dat['l'], $dat['n'], $dat['i'], $dat['p'], $dat['pm'], $dat['s'], $dat['sm'], $dat['ll'], $dat['lu']);
    $this->time = time();	
  	return $this->backup;
	}	


	function __toString() {
		return "{$this->filename}";
	}
	
}

?>